Skip to main content
GET
/
v1
/
variants
/
{variant_id}
/
chains
List a variant's chains
curl --request GET \
  --url https://api.example.com/v1/variants/{variant_id}/chains \
  --header 'Authorization: Bearer <token>'
[
  {
    "chain_id": "99998888-7777-6666-5555-444433332222",
    "role": "heavy",
    "variable_sequence": "QVQLVESGGGLVQPGGSLRLSCAASGFTFSDYAMSWVRQAPGKGLEWVSAITWSGGSTYYADSVKGRFTISRDNSKNTLYLQMNSLRAEDTAVYYCAKDRGTTMVPFDYWGQGTLVTVSS"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

variant_id
string<uuid>
required

Response

Successful Response

chain_id
string
required

Opaque chain identifier (UUID).

Example:

"99998888-7777-6666-5555-444433332222"

role
string
required

Chain role. One of: heavy, light, vhh, scfv, fc_only, targeting_domain.

Example:

"heavy"

variable_sequence
string | null

Variable-region amino-acid sequence for this chain, if applicable.

Example:

"QVQLVESGGGLVQPGGSLRLSCAASGFTFS..."